* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
  color: $color-font;
  font-variation-settings: $font-weight;
  font-weight: normal;
  font-size: $font-size;
  line-height: normal;
  font-family: $base-font;
}

html,
body {
  width: 100%;
  font-size: $base-font-size;

  @media (max-width: $breakpoint-content) {
    font-size: $base-font-size * .8;
  }

  @media (max-width: $breakpoint-large-max) {
    font-size: $base-font-size * .7;
  }

  @media (max-width: $breakpoint-small) {
    font-size: $base-font-size * .55;
  }

  @media (max-width: $breakpoint-min-small) {
    font-size: $base-font-size * .45;
  }
}

body {
  background-color: $color-background;
}

::selection {
  background-color: $color-font;
  color: $color-font-inverse;
}

img,
video {
  display: block;
  max-width: 100%;
}

a {
  text-decoration: none;
  outline: none;

  &:hover,
  &:active {
    text-decoration: none;
  }
}

button,
.button {
  background-color: transparent;
  appearance: none;
  cursor: pointer;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

strong {
  font-size: inherit;
  font-variation-settings: $font-weight-bold;
}
